hwloc_location::hwloc_location_u(3)

NAME
hwloc_location::hwloc_location_u

SYNOPSIS

#include <memattrs.h>

  Data Fields
hwloc_cpuset_t cpuset
hwloc_obj_t object

Detailed Description

Actual location.

Field Documentation

  hwloc_cpuset_t hwloc_location::hwloc_location_u::cpuset

Location as a cpuset, when the location type is HWLOC_LOCATION_TYPE_CPUSET.

  hwloc_obj_t hwloc_location::hwloc_location_u::object

Location as an object, when the location type is HWLOC_LOCATION_TYPE_OBJECT.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.